Subject: [bug#28281] [PATCH] gnu: Add os-prober.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 11 Sep 2017 09:28:30 +0200

Hi Arun,

Arun Isaac <[email-masked]> skribis:

>>> I am trying to do
>>>
>>> cp -r /some/directory/* destination
>>>
>>> To do this, I used `find-files-non-recursive' to get all files in
>>> /some/directory/ and applied `copy-recursively' on each one of them.
>>>
>>> Do you have a better way of doing this in mind?
>>
>> Would (copy-recursively "/some/directory" destination) work for you?
>
> No, it wouldn't. That would recreate /some/directory at the
> destination. I only want the files inside /some/directory to be copied,
> not /some/directory itself.

Ah sorry.  Then yeah, either ‘scandir’ or ‘find-files’, whichever you
find is the least cumbersome.

Feel free to push something along these lines!

Ludo’.